BootloaderConfigDlg Class Reference

BootloaderConfigDlg class is the UI Dialog class for the bootloader configuration page. More...

`#include <BootloaderConfigDlg.h>`

Inheritance diagram for BootloaderConfigDlg:
[legend]
Collaboration diagram for BootloaderConfigDlg:
[legend]

## Public Member Functions

virtual BOOL | OnInitDialog ()
afx_msg void | OnBnClickedCheckCrc ()
afx_msg void | OnBnClickedCheckI2cslaveAddress ()
afx_msg void | OnBnClickedCheckTimeout ()
afx_msg void | OnBnClickedCheckVid ()
afx_msg void | OnBnClickedCheckPid ()
afx_msg void | OnBnClickedCheckUsbstringPointer ()
afx_msg void | OnBnClickedCheckDisableHighspeed ()
afx_msg void | OnBnClickedCheckMmcauPointer ()
afx_msg void | OnBnClickedCheckOtfadPointer ()
afx_msg void | OnBnClickedCheckQspiPointer ()
afx_msg void | OnBnClickedCheckCantxid ()
afx_msg void | OnBnClickedCheckCanrxid ()
afx_msg void | OnBnClickedCheckCanspeed ()
afx_msg void | OnBnClickedRadioSpeedindex ()
afx_msg void | OnBnClickedReload ()
afx_msg void | OnBnClickedButtonConfigOk ()
afx_msg void | OnBnClickedButtonConfigCancel ()
afx_msg void | OnBnClickedButtonConfigGenerate ()
void | LoadBootloaderConfigureArea ()
| Load BCA data to UI page.
int | SaveBootloaderConfigureArea ()
| Save UI config data to BCA. More...

## Protected Member Functions

virtual void | DoDataExchange (CDataExchange *pDX)
| Generated message map functions.
| DECLARE_MESSAGE_MAP () virtual void OnOK()

## Protected Attributes

blfwkdll::BootloaderConfigureAreaData * | m_config
| A pointer to BCA data.
CFile * | m_cFile
| A pointer to the binary file, used for crc calculation.

## Detailed Description

BootloaderConfigDlg class is the UI Dialog class for the bootloader configuration page.

## Member Function Documentation

int BootloaderConfigDlg::SaveBootloaderConfigureArea | ( |  | ) |

Save UI config data to BCA.

Returns
  OnOK for success, OnCancel for failure.

The documentation for this class was generated from the following files:

- BootloaderConfigDlg.h
- BootloaderConfigDlg.cpp